Bug Hunting Session
Bug 97116 - New commands insertbefore and insertafter have no icons in theme Galaxy
Summary: New commands insertbefore and insertafter have no icons in theme Galaxy
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks: Icon-Theme-Galaxy
  Show dependency treegraph
 
Reported: 2016-01-13 23:41 UTC by Regina Henschel
Modified: 2017-07-31 23:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed icons (5.58 KB, application/zip)
2016-01-13 23:41 UTC, Regina Henschel
Details
Version with shifted + (5.84 KB, application/zip)
2016-01-14 16:01 UTC, Regina Henschel
Details
Tango uses unique (6.28 KB, image/png)
2016-01-14 16:25 UTC, V Stuart Foote
Details
Breeze also uses unique (3.37 KB, image/png)
2016-01-14 16:26 UTC, V Stuart Foote
Details
Galaxy (and Sifr) reuse icons, so dependent on tool tip (6.90 KB, image/png)
2016-01-14 16:31 UTC, V Stuart Foote
Details
Version with little triangles and without cross (5.19 KB, application/x-zip-compressed)
2016-01-22 17:33 UTC, Regina Henschel
Details
Three variants without plus (33.49 KB, application/zip)
2016-01-31 19:59 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-01-13 23:41:29 UTC
Created attachment 121913 [details]
Proposed icons

The new commands .unoInsertRowsAfter, .uno:InsertRowsBefore, .uno:InsertColumsAfter, .unoInsertColumnsBefore have no own icons in theme Galaxy. Therefore you can only distinguish one from another, when read the tooltip.

I suggest new icons for them. I have kept the + as insert indication as it is usual for Galaxy. I have moved the green line to indicate where the row/column is inserted.

Another idea would be to keep the position of the green line, but move the + to the place where the row/column is inserted. I do not have tried that yet, but it is unusual to have the + not top/left.

What do you thing about my icons?
Comment 1 Regina Henschel 2016-01-14 16:01:34 UTC
Created attachment 121938 [details]
Version with shifted +

And here is a version were the + indicates, where to insert the new row/column.
Comment 2 V Stuart Foote 2016-01-14 16:25:56 UTC
Created attachment 121941 [details]
Tango uses unique
Comment 3 V Stuart Foote 2016-01-14 16:26:24 UTC
Created attachment 121942 [details]
Breeze also uses unique
Comment 4 V Stuart Foote 2016-01-14 16:31:51 UTC
Created attachment 121943 [details]
Galaxy (and Sifr) reuse icons, so dependent on tool tip

Agree, it would be good to add several new icons to Galaxy.

Unfortunately, I don't think relocating the "plus" on the icon makes it more readable in Galaxy.  Even the "Breeze" use of "plus" is a little unreadable compared to the Tango triangle pointers.
Comment 5 Regina Henschel 2016-01-14 17:32:51 UTC
For Sifr the new icons are already in core. They have a little triangle outside to indicate, where the row/column is inserted. Only the file 'links.txt' is not yet adapted n Sifr.
Comment 6 Regina Henschel 2016-01-22 17:33:53 UTC
Created attachment 122161 [details]
Version with little triangles and without cross
Comment 7 Yousuf Philips (jay) (retired) 2016-01-27 15:54:14 UTC
I think the first set seems fine, ideally without the plus sign, as most insert functions dont have it and the green columns and rows already emphasis the insert.
Comment 8 Regina Henschel 2016-01-31 19:59:11 UTC
Created attachment 122303 [details]
Three variants without plus

Please look again. I have made versions without plus. I think using the original gradient does not give enough contrast. I would prefer those from "DarkWithMarkers". You can distinguish the small icons for insert rows best in that version. If you do not like markers, then those from "DarkWithoutMarkers" are clearer than from "Gradient".

Please look at the icons with a small device like a netbook too.

All three versions follow the idea, to indicate the insert position by the position of the green line.
Comment 9 Yousuf Philips (jay) (retired) 2016-02-01 17:46:37 UTC
I think DarkWithoutMarkers is the best of the three. Just a heads up Regina, noone is working on Galaxy anymore, so more and more icons will be missing from it as time goes by.
Comment 10 Regina Henschel 2016-02-03 16:29:53 UTC
As long as Galaxy is used as fallback, it should contain all needed icons.
Comment 11 Commit Notification 2016-02-04 07:39:55 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6238f8222714465fe7a11477706ad19a1b3bebb

tdf#97116 Icons for theme Galaxy for new commands insertbefore and insertafter

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Yousuf Philips (jay) (retired) 2016-02-04 11:56:42 UTC
Just a reminder to backport this also into 5.1. ;D
Comment 13 Commit Notification 2016-02-04 21:37:43 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17336c2aec3946144026dac509917acb6846e1c8&h=libreoffice-5-1

tdf#97116 Icons for theme Galaxy for new commands insertbefore and insertafter

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.